Subject: [dispatch] geojson charter suggestion

From: Alissa Cooper <[email-masked]>
Date: Thu, 16 Jul 2015 13:22:37 -0700

I was looking at the proposed geojson charter [1] and back at the minutes from dispatch at IETF 92 [2]. As discussed at IETF 92, the charter needs to be clearer about the relationship to the work done in geopriv. I think there is text from RFC 5870 that can be adapted for this purpose, at least partially. I would suggest adding something along the following lines to the charter:

GeoJSON objects represent geographic features only and do not specify associations between geographic features and particular devices, users, or facilities. Any association with a particular device, user, or facility requires another protocol. As such, a GeoJSON object does not fit the "Location Information" definition according to Section 5.2 of RFC 3693, because there is not necessarily a "Device" involved. Because there is also no way to specify the identity of a "Target" within the confines of a GeoJSON object, it also does not fit the specification of a "Location Object" (Section 5.2 of RFC 3693, Section 3.2 of RFC 6280). When a GeoJSON object is used in a context where it identifies the location of a Target, it becomes subject to the architectural, security, and privacy considerations in RFC 6280. The application of those considerations is specific to protocols that make use of GeoJSON objects and is out of scope for the GeoJSON WG.

Alissa

[1] https://github.com/geojson/draft-geojson/blob/master/charter.md/
[2] https://www.ietf.org/proceedings/92/minutes/minutes-92-dispatch